SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET NAMES utf8 */;

CREATE TABLE IF NOT EXISTS `superban` (
  `banid` int(10) unsigned NOT NULL auto_increment,
  `ip` varchar(100) NOT NULL default '',
  `ipcookie` varchar(100) NOT NULL default '',
  `uid` varchar(100) NOT NULL default '',
  `banname` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL default '',
  `admin` varchar(100) NOT NULL,
  `reason` varchar(255) NOT NULL default '',
  `time` varchar(100) NOT NULL,
  `bantime` varchar(100) NOT NULL default '',
  `unbantime` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`banid`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `superban_servers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ip` varchar(255) collate utf8_bin NOT NULL,
  `port` int(5) NOT NULL,
  `name` varchar(255) collate utf8_bin NOT NULL,
  `map` varchar(255) collate utf8_bin NOT NULL,
  `mode` varchar(255) collate utf8_bin NOT NULL,
  `players` int(255) NOT NULL,
  `maxplayers` int(11) NOT NULL,
  `data` varchar(255) collate utf8_bin NOT NULL,
  `online` int(1) NOT NULL,
  `timeupdate` varchar(255) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `superban_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) collate utf8_bin NOT NULL,
  `password` varchar(255) collate utf8_bin NOT NULL,
  `group` varchar(255) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `superban_admins` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) collate utf8_bin NOT NULL,
  `nick` varchar(255) collate utf8_bin NOT NULL,
  `skype` varchar(255) collate utf8_bin NOT NULL,
  `access` varchar(255) collate utf8_bin NOT NULL,
  `timedo` varchar(100) NOT NULL default '',
  `timelast` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;